Bug 23621 - Rouncubemail broken - JQuery
Summary: Rouncubemail broken - JQuery
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: High critical
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-09-30 16:20 CEST by Muhammad Tailounie
Modified: 2018-10-19 20:01 CEST (History)
5 users (show)

See Also:
Source RPM: roundcubemail-1.3.6-1.1.mga6.noarch
CVE:
Status comment:


Attachments

Description Muhammad Tailounie 2018-09-30 16:20:22 CEST
roundcubemail-1.3.6-1.1.mga6.noarch is broken. JQuery files are either missing in the package or as a dependency.

How reproducible:
Update or install roundcubemail on MGA 6
Muhammad Tailounie 2018-09-30 16:20:51 CEST

Priority: Normal => High
Severity: normal => critical

Comment 1 Marja Van Waes 2018-09-30 16:38:20 CEST
Assigning to Marc Krämer, who said on dev ml he'd fix this.

Thanks for reporting this, Muhammad, and thanks for your willingness to fix it, Marc!

Assignee: bugsquad => mageia
CC: (none) => marja11

Comment 2 Marc Krämer 2018-09-30 17:48:54 CEST
@Muhammad: I've changed the sources and added a few things already done for mga7, there are still a few differences. Current mga6 package provides some pear packages which we already have, but I think this is ok until we release mga7.

On the mirrors you should see roundcubemail-1.3.6-1.2.mga6.noarch.rpm in section testing after this is synced. Please report if this fixes your issues.
Comment 3 Muhammad Tailounie 2018-09-30 22:30:58 CEST
@Marc: Thank you Marc. I have just installed the new version from testing. Everything seems to work fine, although the whole configuration of the interface is lost. The user can reconfigure the interface after logging in.

I shall do some more tests tomorrow.

Good work.
Comment 4 Marc Krämer 2018-10-02 01:35:34 CEST
@Muhammad: Is it working as expected?
Comment 5 Muhammad Tailounie 2018-10-02 13:22:21 CEST
(In reply to Marc Krämer from comment #4)
> @Muhammad: Is it working as expected?

I have done a few testing. It seems to work well. :)

Thumbs up!
Comment 6 Marc Krämer 2018-10-02 13:45:14 CEST
Updated rouncubemail packages fix missing files:
========================

In updated package roundcubemail-1.3.6 some essential files were missing. This update fixes this problem.

Updated packages in core/updates_testing:
========================
roundcubemail-1.3.6-1.2.mga6.noarch.rpm

Source RPMs:
roundcubemail-1.3.6-1.2.mga6.src.rpm

Assignee: mageia => qa-bugs

Comment 7 PC LX 2018-10-03 21:34:50 CEST
Installed and tested without issues.

Tested roundcubemail with an email account with thousands of email and hundreds of folders hosted on a Dovecot server. Tested a bunch of features and all worked as expected. No issues found.

System: Mageia 6, x86_64, Intel CPU.

$ uname -a
Linux marte 4.14.70-desktop-2.mga6 #1 SMP Thu Sep 20 22:05:46 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -q roundcubemail
roundcubemail-1.3.6-1.2.mga6

CC: (none) => mageia
Whiteboard: (none) => MGA6-64-OK

Comment 8 Thomas Andrews 2018-10-17 22:33:32 CEST
I don't have a clue about how to use this, but I attempted to install the original version, and it failed. Installing the update was successful. So, I'm inclined to validate.

Keywords: (none) => validated_update
CC: (none) => andrewsfarm, sysadmin-bugs

Thomas Backlund 2018-10-19 19:02:38 CEST

Keywords: (none) => advisory
CC: (none) => tmb

Comment 9 Mageia Robot 2018-10-19 20:01:48 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0163.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.